Subject: [PATCH] iommu: Drop the of_iommu_{set/get}_ops() interface

From: [email-masked] (Sricharan)
Date: Wed, 4 Jan 2017 13:30:28 +0530

Hi Lorenzo,

>With the introduction of the new iommu_{register/get}_instance()
>interface in commit e4f10ffe4c9b ("iommu: Make of_iommu_set/get_ops() DT
>agnostic") (based on struct fwnode_handle as look-up token, so firmware
>agnostic) to register IOMMU instances with the core IOMMU layer there is
>no reason to keep the old OF based interface around any longer.
>
>Convert all the IOMMU drivers (and OF IOMMU core code) that rely on the
>of_iommu_{set/get}_ops() to the new kernel interface to register/retrieve
>IOMMU instances and remove the of_iommu_{set/get}_ops() remaining glue
>code in order to complete the interface rework.
>
>Signed-off-by: Lorenzo Pieralisi <[email-masked]>
>Cc: Matthias Brugger <[email-masked]>
>Cc: Will Deacon <[email-masked]>
>Cc: Robin Murphy <[email-masked]>
>Cc: Joerg Roedel <[email-masked]>
>Cc: Marek Szyprowski <[email-masked]>
>---
>Exynos, msm and mtk code compile tested only owing to lack of
>test platforms, I would appreciate some help in testing this
>patch on those platforms before merging it even if it is just
>a simple interface conversion.
>

For msm,
Tested-by: Sricharan R <[email-masked]>

Regards,
 Sricharan